Reset a role to the deployment's version
DELETE /api/organizations/roles/{key}/customization. Reset a role to the deployment's version. Headless LMS Roles API reference.
Requires roles:write. Needs every permission the role holds before and after.
Path Parameters
key*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/api/organizations/roles/string/customization"{ "key": "string", "name": "string", "description": "string", "base": "string", "levels": [ "org" ], "team": true, "permissions": [ "organizations:read" ], "system": true, "added": true, "customized": true, "holders": -9007199254740991, "givable": true}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}